<div class="w-[210px] mx-2">
  <div
    class="relative w-full bg-bluecontainer border border-t-0 border-black z-10"
  >
    <div class="absolute top-0 left-[-6px]">
      <img
        src="/assets/images/box1top.webp"
        alt=""
        class="min-w-[222px] w-[222px] z-[-1]"
      />
      <h2 class="absolute h2-title top-1 left-1/2 -translate-x-1/2 text-nowrap">
        <ng-container *ngIf="true">MES</ng-container> TROOPERS
      </h2>
    </div>

    <div class="pt-9 pb-7" [class.pointer-events-none]="false">
      <app-troopers-grid [troopers]="troopers"></app-troopers-grid>
    </div>

    <div
      *ngIf="
        !authService.user &&
        (context == 'navigation' ||
          context == 'globalOwner' ||
          context == 'global')
      "
      class="-mx-1 mb-4"
    >
      <app-command-button
        [type]="'blue'"
        [text]="'Connexion'"
        (clicked)="connect()"
      ></app-command-button>
    </div>

    <div
      *ngIf="authService.user && context == 'globalOwner'"
      class="-mx-1 mb-4"
    >
      <app-command-button
        [type]="'green'"
        [text]="'Recruter un trooper'"
        class="mb-10"
        (clicked)="trooperAdd()"
      ></app-command-button>
    </div>
    <div
      *ngIf="context == 'globalOwner' || context == 'global'"
      class="-mx-1 mb-4"
    >
      <app-command-button
        [type]="'orange'"
        [text]="'Historique'"
      ></app-command-button>
    </div>
    <div
      *ngIf="authService.user && context == 'globalOwner'"
      class="-mx-1 mb-4"
    >
      <app-command-button
        [type]="'orange'"
        [text]="'Gérer mon armée'"
      ></app-command-button>
    </div>
    <div
      *ngIf="authService.user && context == 'globalOwner'"
      class="-mx-1 mb-4"
    >
      <app-command-button
        [type]="'blue'"
        [text]="'Hiérarchie'"
      ></app-command-button>
    </div>
    <div *ngIf="context == 'navigation'" class="-mx-1 mb-4">
      <app-command-button
        [type]="'blue'"
        [text]="'Retour'"
        (clicked)="backClicked()"
      ></app-command-button>
    </div>

    <div *ngIf="authService.user && context == 'global'" class="-mx-1 mb-4">
      <app-command-button
        [type]="'blue'"
        [text]="'Retour'"
        (clicked)="backClicked()"
      ></app-command-button>
    </div>

    <div
      *ngIf="authService.user && context == 'globalOwner'"
      class="-mx-1 mb-4"
    >
      <app-command-button
        [type]="'blue'"
        [text]="'Déconnexion'"
        (clicked)="disconnect()"
      ></app-command-button>
    </div>

    <div class="h-14 bg-[#6775a2] m-1 mt-0">
      <div class="text-white text-xs p-2">
        <img
          src="/assets/images/info.webp"
          alt=""
          class="w-[12px] h-[12px] mr-[6px] mb-[2px] inline"
        />
        <span class="font-bold">INFO: </span>
        <span>description</span>
      </div>
    </div>

    <img
      src="/assets/images/bottomleft.webp"
      alt=""
      class="absolute bottom-[-4px] left-[-2px]"
    />

    <img
      src="/assets/images/bottomright.webp"
      alt=""
      class="absolute bottom-[-3px] right-[-2px]"
    />
  </div>
</div>
